### File

`src/services/compiler.service.ts`

### Index

###### Methods
Public createComponentFactoryAsync Public createComponentFactorySync Public injectCommentComponentAsync Public injectCommentComponentSync

### Constructor

`constructor(compiler: Compiler, sdkConfigService: SdkConfigService)`
Constructor. Parameters :
Name | Type | Optional
compiler | `Compiler` | no
sdkConfigService | `SdkConfigService` | no

### Methods

Public createComponentFactoryAsync
`createComponentFactoryAsync(tmpl: string, componentCallback: Function)`
Create dynamic component factory asynchronously with html template given in parameter Parameters :
Name | Type | Optional
tmpl | `string` | no
componentCallback | `Function` | no
Returns : `Promise<ComponentFactory<any>>`

Public createComponentFactorySync
`createComponentFactorySync(tmpl: string, componentCallback: Function)`
Create dynamic component factory with html template given in parameter Parameters :
Name | Type | Optional
tmpl | `string` | no
componentCallback | `Function` | no
Returns : `ComponentFactory<any>`

Public injectCommentComponentAsync
`injectCommentComponentAsync(tmpl: string, viewContainer: ViewContainerRef)`
Call createComponentFactoryAsync with given html template and inject the result in given viewContainer Parameters :
Name | Type | Optional
tmpl | `string` | no
viewContainer | `ViewContainerRef` | no
Returns : `Subject<any>`

Public injectCommentComponentSync
`injectCommentComponentSync(tmpl: string, viewContainer: ViewContainerRef)`
Call createComponentFactorySync with given html template and inject the result in given viewContainer Parameters :
Name | Type | Optional
tmpl | `string` | no
viewContainer | `ViewContainerRef` | no
Returns : `any`

# results matching ""

# No results matching ""